Bug 38878 - Upgrade internal xpdf to poppler
Summary: Upgrade internal xpdf to poppler
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Fridrich Strba
QA Contact:
URL:
Whiteboard: target:4.0.0 target:4.2.0
Keywords: difficultyInteresting, easyHack, skillCpp, skillScript
Depends on:
Blocks:
 
Reported: 2011-07-01 06:16 UTC by Björn Michaelsen
Modified: 2016-01-26 17:24 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
patch to convert xpdf to poppler (102.02 KB, patch)
2012-11-25 22:29 UTC, Peter Foley
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Michaelsen 2011-07-01 06:16:56 UTC
Upgrade internal xpdf to poppler

Background: Historically, LibreOffice uses xpdf for PDF import, on Mac and Windows. The poppler library is a much more active fork of that project, distro-packaged LibO uses it, and we would like to update the internal version, too - this needs someone able to build on windows and fix a few potential build problems there, otherwise this should be a really easy task.

Skills: Windows building, basic c++
Comment 1 Florian Reisinger 2012-05-18 09:01:09 UTC
Deteted "Easyhack" from summary
Comment 2 Not Assigned 2012-11-13 07:30:41 UTC
Peter Foley committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a6e9bb4c7bad649cb44efaeef67fa18090348c53

fdo#38878 upgrade xpdf to poppler



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Not Assigned 2012-11-13 08:32:44 UTC
Tor Lillqvist committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=97d8b882210c5a7f3bf6b3d53bfef1fb9a487acf

Revert "fdo#38878 upgrade xpdf to poppler"



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Peter Foley 2012-11-25 22:29:14 UTC
Created attachment 70557 [details]
patch to convert xpdf to poppler
Comment 5 Peter Foley 2012-11-25 22:32:50 UTC
The patch I've attached dosen't work on OSX. See http://gerrit.libreoffice.org/1036 for more info.
Comment 6 Gerry 2013-07-07 20:53:41 UTC
Is this bug still relevant? In comment 2 and 3, there are patches for this bug, but it was never closed. Is it actually completed?
Comment 7 Michael Meeks 2013-07-08 08:22:37 UTC
AFAIR there were horrible problems with compiling and/or cross-compiling poplar for windows and so this didn't get done (or somesuch) :-)

Help much appreciated on top of the work that was done; or did I miss something; Fridrich ? :-)
Comment 8 Commit Notification 2013-07-08 16:30:53 UTC
Fridrich Å trba committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=eb276d11a652601f743d69ada7a38016bd97d73e

fdo#38878: Upgrading internal xpdf -> poppler



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Robinson Tryon (qubit) 2015-12-15 23:24:51 UTC
Migrating Whiteboard tags to Keywords: (EasyHack DifficultyInteresting SkillCpp SkillScript SkillWindows )
[NinjaEdit]
Comment 10 Björn Michaelsen 2016-01-26 17:24:45 UTC
removing skillWindows keyword. There is no such thing at https://wiki.documentfoundation.org/Development/Easy_Hacks/lists/by_Required_Skill and having a "skill*" keyword makes the easyHack not even appear on that page even in "uncategorized".